%define anolis_release 2
%define require_gcc_version 8.5.0-18.0.4%{?dist}

Name:           gcc-python-plugin
Version:        0.17.1
Release:        %{anolis_release}%{?dist}
Summary:        GCC plugin that embeds Python

Group:          Development/Languages
License:        GPLv3+
URL:            https://gitee.com/anolis/gcc-python-plugin
Source0:        %{name}-%{version}.tar.gz

BuildRequires:	gcc = %{require_gcc_version}
BuildRequires:	gcc-plugin-devel = %{require_gcc_version}
BuildRequires:	gcc-c++ = %{require_gcc_version}

# Various python runtimes to build the plugin against:
BuildRequires:	python3
BuildRequires:	python3-devel

# "six" is used at buildtime:
BuildRequires:	python3-six

# pygments is used when running the selftests:
BuildRequires:	python3-pygments

# lxml is used when running the selftests:
BuildRequires:	python3-lxml

Requires:	gcc-plugin-devel = %{require_gcc_version}
Requires:	python3-libs

ExclusiveArch: x86_64 aarch64

%global gcc_plugins_dir %(gcc --print-file-name=plugin)

%description
Plugins for embedding various versions of Python within GCC

%prep
%autosetup -p1

%build
make PYTHON=python3 PYTHON_CONFIG=python3-config PLUGIN_DSO=python.so plugin print-gcc-version

%install
mkdir -p %{buildroot}/%{_libdir}/gcc-python-plugin
mkdir -p %{buildroot}/%{gcc_plugins_dir}

install -m 755 python.so %{buildroot}/usr/lib64/gcc-python-plugin/python.so
install -m 755 gcc-c-api/libgcc-c-api.so \
		%{buildroot}/%{gcc_plugins_dir}/libgcc-c-api.so

%files
%dir %{_libdir}/gcc-python-plugin
%{_libdir}/gcc-python-plugin/python.so
%{gcc_plugins_dir}/libgcc-c-api.so

%changelog
* Thu Feb 22 2024 Tianchen Ding <dtcccc@linux.alibaba.com> - 0.17.1-2
- Adapt to gcc 8.5.0-18.0.4

* Mon Aug 07 2023 Tianchen Ding <dtcccc@linux.alibaba.com> - 0.17.1-1
- first release for anolis version
